Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class HttpJspBase

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.apache.jasper.runtime.HttpJspBase

All Implemented Interfaces:
  javax.servlet.jsp.HttpJspPage, javax.servlet.jsp.JspPage, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public abstract class HttpJspBase
extends javax.servlet.http.HttpServlet
implements javax.servlet.jsp.HttpJspPage

This is the subclass of all JSP-generated servlets.

Author:
  Anil K. Vijendran
See Also:
  Serialized Form

Field Summary
`protected javax.servlet.jsp.PageContext` | `pageContext`

Constructor Summary
`protected` | `HttpJspBase()`

Method Summary
`abstract void` | `_jspService(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `destroy()`
`java.lang.String` | `getServletInfo()`
`void` | `init(javax.servlet.ServletConfig config)`
`void` | `jspDestroy()`
`void` | `jspInit()`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Entry point into service.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Servlet
`getServletConfig, service`

Field Detail

### pageContext

    protected javax.servlet.jsp.PageContext pageContext

Constructor Detail

### HttpJspBase

    protected HttpJspBase()

Method Detail

### init

    public final void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### getServletInfo

    public java.lang.String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

### destroy

    public final void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### service

    public final void service(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

  Entry point into service.
  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`

### jspInit

    public void jspInit()

  Specified by:
    `jspInit` in interface `javax.servlet.jsp.JspPage`

### jspDestroy

    public void jspDestroy()

  Specified by:
    `jspDestroy` in interface `javax.servlet.jsp.JspPage`

### _jspService

    public abstract void _jspService(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)
                              throws javax.servlet.ServletException,
                                     java.io.IOException

  Specified by:
    `_jspService` in interface `javax.servlet.jsp.HttpJspPage`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.